package com.microservices.zone.resource.domain.vo;

import com.microservices.zone.resource.domain.ZoneResourceDomain;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author otto
 */
@Data
@ApiModel("资源领域搜索对象")
public class ZoneResourceDomainSearchVo {
    @ApiModelProperty(value = "资源领域名称")
    private String name;
    @ApiModelProperty(value = "所属专区")
    private Long zoneId;

    public ZoneResourceDomain toZoneResourceDomain() {
        ZoneResourceDomain zoneResourceDomain = new ZoneResourceDomain();
        zoneResourceDomain.setZoneId(zoneId);
        zoneResourceDomain.setName(name);
        return zoneResourceDomain;
    }
}
